Subject: bug#50951: 28.0.50; Urdu text is not displayed correctly

From: Eli Zaretskii <[email-masked]>
Date: Sat, 17 Sep 2022 20:00:39 +0300

> From: Rah Guzar <[email-masked]>
> Cc: Visuwesh <[email-masked]>, Eli Zaretskii <[email-masked]>, YAMAMOTO
>  Mitsuharu <[email-masked]>, [email-masked],
>  [email-masked]
> Date: Sat, 17 Sep 2022 18:37:39 +0200
> 
> 
> I finally tested the patches and both of them improve the situation by a
> lot but problems still remain. One word that is not rendered by
> accurately by them is
> 
> ہنگام
> 
> Where is problem is fourth character which is
>         character: گ‎ (displayed as گ‎) (codepoint 1711, #o3257, #x6af)
>         charset: unicode-bmp (Unicode Basic Multilingual Plane (U+0000..U+FFFF))
>         code point in charset: 0x06AF
>         script: arabic
> 
> This character should be rendered as a circle and two slanted lines
> which seem to get clipped.
> 
> Both the patches seem to have the same effect, except that with the
> first one above a threshold I have seen a newline not getting rendered
> so what should be two lines appear as one. This doesn't happen with the
> second patch.

Thanks, I've now installed the second patch on the master branch.